Bug 1289657 - SELinux is preventing qemu-bridge-hel from read access on the file cpuinfo.
SELinux is preventing qemu-bridge-hel from read access on the file cpuinfo.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
23
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 11:32 EST by Stef Walter
Modified: 2016-12-20 11:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:48:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2015-12-08 11:32:05 EST
SELinux is preventing qemu-bridge-hel from read access on the file cpuinfo.

Additional Information:
Source Context                unconfined_u:unconfined_r:virt_bridgehelper_t:s0:c
                              328,c930
Target Context                system_u:object_r:proc_t:s0
Target Objects                cpuinfo [ file ]
Source                        qemu-bridge-hel
Source Path                   qemu-bridge-hel
Port                          <Unknown>
Host                          falcon.thewalter.lan
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-154.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     falcon.thewalter.lan
Platform                      Linux falcon.thewalter.lan 4.2.0-300.fc23.x86_64
                              #1 SMP Fri Sep 4 13:27:08 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-12-08 17:28:30 CET
Last Seen                     2015-12-08 17:28:30 CET
Local ID                      3121f692-870e-4c51-b3c6-2775c5acf6ee

Raw Audit Messages
type=AVC msg=audit(1449592110.925:814): avc:  denied  { read } for  pid=17593 comm="qemu-bridge-hel" name="cpuinfo" dev="proc" ino=4026531985 scontext=unconfined_u:unconfined_r:virt_bridgehelper_t:s0:c328,c930 tcontext=system_u:object_r:proc_t:s0 tclass=file permissive=0

type=AVC msg=audit(1449592144.142:830): avc:  denied  { read } for  pid=18030 comm="qemu-bridge-hel" name="cpuinfo_max_freq" dev="sysfs" ino=20127 scontext=unconfined_u:unconfined_r:virt_bridgehelper_t:s0:c148,c200 tcontext=system_u:object_r:sysfs_t:s0 tclass=file permissive=0

Hash: qemu-bridge-hel,virt_bridgehelper_t,proc_t,file,read


qemu-common-2.4.1-1.fc23.x86_64
selinux-policy-targeted-3.13.1-154.fc23.noarch
Comment 1 Fedora End Of Life 2016-11-24 09:04:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:48:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.